<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\Lehrplan\GrafikenDruckLehrplan;

class GrafikenDruckLehrplanView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'dozent/lehrplan/GrafikenDrucken.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    $datamodul = new \Datamodul();
    $datamodul->datum_von = $this->viewModel->datum_von;
    $datamodul->datum_bis = $this->viewModel->datum_bis;
    $datamodul->uhrzeit_von = $this->viewModel->uhrzeit_von;
    $datamodul->uhrzeit_bis = $this->viewModel->uhrzeit_bis;

    return array($datamodul);
  }
}

class GrafikenDruckLehrplanViewModel
{
  public $datum_von;
  public $datum_bis;
  public $uhrzeit_von;
  public $uhrzeit_bis;
}